### Method

# Ide Toolchain get_host_triplet

#### Declaration

    IdeTriplet*
    ide_toolchain_get_host_triplet (
      IdeToolchain* self
    )

#### Description

Gets the combination of arch-kernel-system, sometimes referred to as the “host triplet”.

For Linux based devices, this will generally be something like “x86_64-linux-gnu”.

Available since: | 3.32

Gets property | `Ide.Toolchain:host-triplet`

#### Return value

Returns: | `IdeTriplet`
| The host system.type of the toolchain.
| The caller of the method takes ownership of the data, and is responsible for freeing it.